Additional IPs
All operations require authentication.
List additional IPsProduction
Returns the additional IPs of the project.
Path parameters
Project ID
Headers
Pagination cursor
Pagination size
Response
Computed hash representing the current target specification value
Current state of the additional IP
Ongoing asynchronous tasks related to the additional IP
The additional IP address, used as identifier
Additional IP readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGExample uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ publicIp/ additional \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "currentState": { "associatedResource": { "id": "string", "type": "GATEWAY" }, "block": "192.0.2.0/24", "id": "string", "ip": "192.0.2.0" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "192.0.2.0", "resourceStatus": "CREATING" }]
Get an additional IPProduction
Returns the additional IP, including the resource it's associated with.
Path parameters
Id
Project ID
Response
Computed hash representing the current target specification value
Current state of the additional IP
Ongoing asynchronous tasks related to the additional IP
The additional IP address, used as identifier
Additional IP readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGExample uses id = 192.0.2.0, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ publicIp/ additional/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "currentState": { "associatedResource": { "id": "string", "type": "GATEWAY" }, "block": "192.0.2.0/24", "id": "string", "ip": "192.0.2.0" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "192.0.2.0", "resourceStatus": "CREATING"}